<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function row

Return a row from a Matrix.


## Syntax

```js
math.row(value, index)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`value` | Array &#124; Matrix | An array or matrix
`row` | number | The index of the row

### Returns

Type | Description
---- | -----------
Array &#124; Matrix | The retrieved row


### Throws

Type | Description
---- | -----------


## Examples

```js
// get a row
const d = [[1, 2], [3, 4]]
math.row(d, 1) // returns [[3, 4]]
```


## See also

[column](column.md)
